package cn.iocoder.yudao.module.system.service.dict;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.dict.vo.language.LanguageDictPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.dict.vo.language.LanguageDictImportVO;
import cn.iocoder.yudao.module.system.dal.dataobject.dict.LanguageDictDO;

import java.util.List;

/**
 * 系统语言字典 Service 接口
 *
 * @author 系统管理员
 */
public interface LanguageDictService {


    void createLanguageDict(List<LanguageDictDO> createReqVO);

    void updateLanguageDict(LanguageDictDO updateReqVO);

    void deleteLanguageDict(Long[] ids);

    LanguageDictDO getLanguageDict(Long id);

    PageResult<LanguageDictDO> getLanguageDictPage(LanguageDictPageReqVO pageReqVO);

    void importLanguageDictExcel(List<LanguageDictImportVO> list);
}